<?php

class EDP_Filter
{
	public function __construct()
	{
		$this->edp_single_event_page_filter();
	}

	public function edp_single_event_page_filter()
	{
		add_filter('tribe_events_template_single-event.php', array($this, 'edp_tribe_events_single_event_page'), 99, 1);
	}

	/**
	 * Get single event page file
	 */
	public function edp_tribe_events_single_event_page($tec_file)
	{
		if (basename($tec_file) !== 'single-event.php') {
			return $tec_file;
		}
		$id   = $this->edp_get_posts_id();
		$data = array();
		foreach ($id as $layout_id) {
			$options = get_post_meta($layout_id, 'ta_edp_view_options', true);
			$edp_apply_on = isset($options['edp_apply_on']) ? $options['edp_apply_on'] : 'none';

			if ($edp_apply_on == 'specific_cate' || $edp_apply_on == 'specific_tag') {
				$edp_get_selected_cat = isset($options['edp_specific_cat']) ? $options['edp_specific_cat'] : '';
				$edp_get_selected_tag = isset($options['edp_specific_tag']) ? $options['edp_specific_tag'] : '';
				$data['specific_cate'] = $edp_get_selected_cat;
				$data['specific_tag']  = $edp_get_selected_tag;
				$data['temp_id']       = $layout_id;
			} else {
				$data['temp_id'] = $layout_id;
			}
		}
		$edp_event_id = get_queried_object();
		if (!empty($id)) {
			foreach ($id as $layout_id) {
				$options = get_post_meta($layout_id, 'ta_edp_view_options', true);
				$edp_get_all_event = isset($options['edp_apply_on']) ? $options['edp_apply_on'] : 'none';
				$edp_event_id      = get_queried_object();
				if ($edp_get_all_event == 'specific_event') {
					$specific_event          = $this->edp_get_event($edp_event_id);
					$edp_get_selected_event = isset($options['edp_specific_event']) ? $options['edp_specific_event'] : '';
					if (is_array($edp_get_selected_event)) {
						$edp_comp_specific_result = array_intersect($specific_event, $edp_get_selected_event);
						if ($edp_comp_specific_result) {
							return $this->edp_override_template($layout_id);
						}
					}
				} elseif ($edp_get_all_event == 'specific_tag' || $edp_get_all_event == 'specific_cate') {
					$edp_get_cat         = '';
					$edp_get_tag         = '';
					$edp_comp_cat_result = '';
					$edp_get_cat         = $this->edp_get_single_event_categoery($edp_event_id);
					$edp_get_tag         = $this->edp_get_single_event_tag($edp_event_id);
					if (!empty($edp_get_cat || $edp_get_tag)) {
						if (!empty($edp_get_cat) && $edp_get_all_event != 'specific_tag') {
							$edp_get_selected_cat = isset($options['edp_specific_cat']) ? $options['edp_specific_cat'] : '';
							$edp_comp_cat_result  = array_intersect($edp_get_cat, $edp_get_selected_cat);
						} elseif (!empty($edp_get_tag) && $edp_get_all_event != 'specific_cate') {
							$edp_get_selected_tag = '';
							$edp_get_selected_tag = isset($options['edp_specific_tag']) ? $options['edp_specific_tag'] : '';
							if (!empty($edp_get_tag) && !empty($edp_get_selected_tag)) {
								$edp_comp_cat_result  = array_intersect($edp_get_tag, $edp_get_selected_tag);
							}
						}
					}
					if ($edp_comp_cat_result) {
						return $this->edp_override_template($layout_id);
					}
				} elseif ($edp_get_all_event == 'all_event') {
					$event_cats = '';
					$test_count = '';
					$term_list  = wp_get_object_terms($edp_event_id->ID, array('tribe_events_cat'));
					foreach ($term_list as $term_single) {
						$event_cats .= $term_single->slug . ', ';
					}
					$cates       = isset($data['specific_cate']) ? $data['specific_cate'] : '';
					$template_id = $data['temp_id'];
					$testing     = explode(',', $event_cats);
					if (!empty($cates) && $testing) {
						$test       = array_intersect($cates, $testing);
						$test_count = count($test);
					}
					if ($test_count >= 1) {
						return $this->edp_override_template($template_id);
					} else {
						return $this->edp_override_template($layout_id);
					}
				}
			}
		} else {
			return $tec_file;
		}
		return $tec_file;
	}

	/**
	 * get categoery 
	 */
	public function edp_get_single_event_categoery($edp_event_id)
	{
		$edp_get_cat = get_the_terms($edp_event_id, 'tribe_events_cat');
		if ($edp_get_cat && !is_wp_error($edp_get_cat)) :
			$edp_tslugs_arr = array();
			foreach ($edp_get_cat as $edp_slug_name) {
				$edp_tslugs_arr[] = $edp_slug_name->slug;
			}
			$edp_cat_name = $edp_tslugs_arr;
			return $edp_cat_name;
		endif;
	}

	/**
	 * Get event
	 */
	function edp_get_event($edp_event_id)
	{
		$edp_events        = get_post($edp_event_id);
		$edp_etslugs_arr   = array();
		$edp_etslugs_arr[] = $edp_events->post_name;
		$edp_event_title   = $edp_etslugs_arr;
		return $edp_event_title;
	}

	/**
	 * get tag
	 */
	public function edp_get_single_event_tag($edp_event_id)
	{
		$edp_get_tag = get_the_terms($edp_event_id, 'post_tag');
		if ($edp_get_tag && !is_wp_error($edp_get_tag)) :
			$edp_tslugs_arr = array();
			foreach ($edp_get_tag as $edp_slug_name) {
				$edp_tslugs_arr[] = $edp_slug_name->slug;
			}
			$edp_tag_name = $edp_tslugs_arr;
			return $edp_tag_name;
		endif;
	}

	public function edp_get_posts_id()
	{
		$id   = array();
		$args = array('post_type' => 'event_detailer', 'posts_per_page' => -1);
		$loop = new \WP_Query($args);

		while ($loop->have_posts()) :
			$loop->the_post();
			$ids              	= get_the_id();
			$options     		= get_post_meta(get_the_id(), 'ta_edp_view_options', true);
			$get_template     	= isset($options['edp_apply_on']) ? $options['edp_apply_on'] : 'none';
			$template[$ids] 	= $get_template;
		endwhile;
		if (!empty($template)) {
			if (is_array($template) && count($template) >= 1) {
				$cars = $template;
				arsort($cars);
				foreach ($cars as $key => $values) {
					$id[] = $key;
				}
			}
		}
		wp_reset_query();
		return $id;
	}

	/** Override Template */
	function edp_override_template($layout_id)
	{
		$options          		= get_post_meta($layout_id, 'ta_edp_view_options', true);
		$events_label_singular 	= tribe_get_event_label_singular();
		$events_label_plural   	= tribe_get_event_label_plural();
		// $tecset_url            = '';
		// $tecset_slug           = get_post_meta($layout_id, 'epta-url', true);
		// if (isset($tecset_slug) && !empty($tecset_slug)) {
		// 	$tecset_url = esc_url(\edpfunctions\ect_get_url_by_slug($tecset_slug));
		// }

		$select_temp        	= get_post_meta($layout_id, 'ta_edp_layouts', true);
		$select_temp      		= isset($select_temp['edp_layout_preset']) ? $select_temp['edp_layout_preset'] : 'template_one';

		require_once EDP_PATH . 'public/templates/edp-' . $select_temp . '.php';
		$edp_lay_call      = str_replace('-', '_', $select_temp);
		$edp_lay_func_name = 'edp_' . $edp_lay_call;
		if ($select_temp != 'template_one') {
			$edp_lay_func_name($layout_id);
		}
	}
}

new EDP_Filter();
