<?php if (!defined('ABSPATH')) {
    die;
} // Cannot access directly.

class EDP_Metaboxes
{
    /**
     * Layout Metabox function.
     *
     * @param string $prefix The meta-key for this metabox.
     * @return void
     */
    public static function layout_metabox($prefix)
    {
        EDP::createMetabox(
            $prefix,
            array(
                'title'        => esc_html__('Event Detailer', 'event-detailer-pro'),
                'post_type'    => 'event_detailer',
                'show_restore' => false,
                'context'      => 'normal',
            )
        );

        EDP_Layout::section($prefix);
    }

    /**
     * Option Metabox function
     *
     * @param string $prefix The metabox key.
     * @return void
     */
    public static function option_metabox($prefix)
    {
        EDP::createMetabox(
            $prefix,
            array(
                'title'        => esc_html__('View Options', 'event-detailer-pro'),
                'post_type'    => 'event_detailer',
                'show_restore' => false,
                'nav'        => 'inline',
                'theme'        => 'light',
            )
        );

        

        EDP_FilterPost::section($prefix);
        EDP_Display::section($prefix);
        EDP_ContentSorter::section($prefix);
        EDP_Typography::section($prefix);
    }
}
