<?php

/**
 * The main class for Settings configurations.
 *
 * @package Event_Detailer_Pro
 * @subpackage Event_Detailer_Pro/admin/views
 */

if (!defined('ABSPATH')) {
	die;
} // Cannot access pages directly.

/**
 * Settings.
 */
class EDP_Settings
{

	/**
	 * Create a settings page.
	 *
	 * @param string $prefix The settings.
	 * @return void
	 */
	public static function settings($prefix)
	{

		$capability = edp_dashboard_capability(); // TODO: filter is not working.

		EDP::createOptions(
			$prefix,
			array(
				'menu_title'       => esc_html__('Settings', 'event-detailer-pro'),
				'menu_parent'      => 'edit.php?post_type=event_detailer',
				'menu_type'        => 'submenu', // menu, submenu, options, theme, etc.
				'menu_slug'        => 'edp_settings',
				'theme'            => 'light',
				'show_all_options' => false,
				'show_search'      => false,
				'show_footer'      => false,
				'show_bar_menu'           => false,
				'class'            => 'ta-pc-settings',
				'framework_title'  => esc_html__('Event Detailer', 'event-detailer-pro'),
				'menu_capability'  => $capability,
			)
		);
	}
}
