<?php if (!defined('ABSPATH')) {
	die;
} // Cannot access directly.

/**
 * The Popup settings class.
 */
class EDP_ContentSorter
{

	/**
	 * Popup settings section metabox.
	 *
	 * @param string $prefix The metabox key.
	 * @return void
	 */
	public static function section($prefix)
	{
		EDP::createSection(
			$prefix,
			array(
				'title'  => esc_html__('CONTENT SORTER', 'event-detailer-pro'),
				'icon'   => 'fas fa-th-large',
				'fields' => array(					
					array(
						'id'           	=> 'edp_main_content',
						'class'			=> 'edp_main_content_sorter',
						'type'         	=> 'sorter',
						'title'        	=> esc_html__('Main Content', 'event-detailer-pro'),
						'default'      	=> array(
							'enabled'    => array(
								'thumbnail' 	=> esc_html__('Thumbnail', 'event-detailer-pro'),
								'title' 		=> esc_html__('Title', 'event-detailer-pro'),
								'date' 			=> esc_html__('Date', 'event-detailer-pro'),
								'content' 		=> esc_html__('Content', 'event-detailer-pro'),
								'map' 			=> esc_html__('Map', 'event-detailer-pro'),
								'social_share' 	=> esc_html__('Social Share', 'event-detailer-pro'),
								'ticket' 	=> esc_html__('Ticket', 'event-detailer-pro'),
							),
							'disabled'   => array(
								'countdown' 		=> esc_html__('Countdown', 'event-detailer-pro'),
								'detail_meta' 		=> esc_html__('Detail Meta', 'event-detailer-pro'),
								'venue' 			=> esc_html__('Venue', 'event-detailer-pro'),
								'organizer_meta' 	=> esc_html__('Organizer Meta', 'event-detailer-pro'),
								'calendar_button' 	=> esc_html__('Calender Button', 'event-detailer-pro'),
							),
						),
					),
					array(
						'id'           => 'edp_sidebar_content',
						'type'         => 'sorter',
						'title'        => esc_html__('Sidebar Content', 'event-detailer-pro'),
						'default'      => array(
							'enabled'    => array(
								'detail_meta' => esc_html__('Detail Meta', 'event-detailer-pro'),
								'venue' => esc_html__('Venue', 'event-detailer-pro'),
								'organizer_meta' => esc_html__('Organizer Meta', 'event-detailer-pro'),
								'calendar_button' => esc_html__('Calender Button', 'event-detailer-pro'),
							),
							'disabled'   => array(
								'thumbnail' 	=> esc_html__('Thumbnail', 'event-detailer-pro'),
								'title' 		=> esc_html__('Title', 'event-detailer-pro'),
								'date' 			=> esc_html__('Date', 'event-detailer-pro'),
								'content' 		=> esc_html__('Content', 'event-detailer-pro'),
								'map' 			=> esc_html__('Map', 'event-detailer-pro'),
								'social_share' 	=> esc_html__('Social Share', 'event-detailer-pro'),
								'countdown' 	=> esc_html__('Countdown', 'event-detailer-pro'),
								'ticket' 		=> esc_html__('Ticket', 'event-detailer-pro'),
							),
						),
						'dependency' => array('edp_layout_preset', '!=', 'template_two', 'any'),
					),
				),
			)
		);
	}
}
