<?php

/**
 * The Filter Post Meta-box configurations.
 *
 * @package Event_Detailer_Pro
 * @subpackage admin
 */

if (!defined('ABSPATH')) {
	die;
} // Cannot access pages directly.

/**
 * The Filter post building class.
 */
class EDP_FilterPost
{

	public static function section($prefix)
	{

		EDP::createSection(
			$prefix,
			array(
				'title'  => esc_html__('Filter Event', 'event-detailer-pro'),
				'icon'   => 'fas fa-filter',
				'fields' => array(

					array(
						'id'	=> 'edp_apply_on',
						'type'	=> 'select',
						'title'	=> esc_html__('Apply On', 'event-detailer-pro'),
						'subtitle'	=> esc_html__('Select a display condition where you want to apply this template.', 'event-detailer-pro'),
						'options'	=>  'edp_apply_on',
					),

					array(
						'id'	=> 'edp_specific_event',
						'type'	=> 'select',
						'multiple'	=> true,
						'chosen'      => true,
						'title'	=> esc_html__('Specific Event', 'event-detailer-pro'),
						'options'	=>  'edp_specific_event',
						'dependency'  => array('edp_apply_on', '==', 'specific_event'),
					),

					array(
						'id'	=> 'edp_specific_cat',
						'type'	=> 'select',
						'multiple'	=> true,
						'chosen'      => true,
						'title'	=> esc_html__('Specific Categories', 'event-detailer-pro'),
						'options'	=>  'edp_specific_cat',
						'dependency'  => array('edp_apply_on', '==', 'specific_cate'),
					),

					array(
						'id'          => 'edp_include_only_posts',
						'type'        => 'select',
						'title'       => esc_html__('Select Event', 'event-detailer-pro'),
						'subtitle'    => esc_html__('Choose posts to include by title.', 'event-detailer-pro'),
						'options'     => 'posts',
						'sortable'    => true,
						'chosen'      => true,
						'class'       => 'ta_edp_include_only_posts',
						'multiple'    => true,
						'placeholder' => esc_html__('Choose posts', 'event-detailer-pro'),
						'query_args'  => array(
							'post_type' => 'tribe_events',
							'cache_results' => false,
							'no_found_rows' => true,
						),
						'dependency'  => array('edp_display_on', '==', 'specific_event'),
					),

					array(
						'id'          => 'edp_specefic_category',
						'type'        => 'select',
						'title'       => esc_html__('Select Categories', 'event-detailer-pro'),
						'subtitle'    => esc_html__('Choose events categories to use this template.', 'event-detailer-pro'),
						'options'     => 'categories',
						'sortable'    => true,
						'chosen'      => true,
						'class'       => 'ta_edp_include_only_posts',
						'multiple'    => true,
						'placeholder' => esc_html__('Choose categories', 'event-detailer-pro'),
						'query_args'  => array(
							'taxonomy'  => 'tribe_events_cat',
						),
						'dependency'  => array('edp_display_on', '==', 'specific_category'),
					),

					array(
						'id'          => 'edp_specefic_category',
						'type'        => 'select',
						'title'       => esc_html__('Select Tags', 'event-detailer-pro'),
						'subtitle'    => esc_html__('Choose events tags to use this template.', 'event-detailer-pro'),
						'options'     => 'tags',
						'sortable'    => true,
						'chosen'      => true,
						'class'       => 'ta_edp_include_only_posts',
						'multiple'    => true,
						'placeholder' => esc_html__('Choose tags', 'event-detailer-pro'),
						'query_args'  => array(
							'taxonomy'  => 'post_tag',
						),
						'dependency'  => array('edp_display_on', '==', 'specific_tag'),
					),
				),
			)
		); // Filter settings section end.
	}
}
