<?php if (!defined('ABSPATH')) {
	die;
} // Cannot access directly.

/**
 * The Layout building class.
 */
class EDP_Layout
{

	/**
	 * Layout metabox section.
	 *
	 * @param string $prefix The metabox key.
	 * @return void
	 */
	public static function section($prefix)
	{
		EDP::createSection(
			$prefix,
			array(
				'fields' => array(
					array(
						'type'  => 'metabox_branding',
						'image' => EDP_ADMIN_ASSETS . 'img/event-detailer-logo.svg',
						'after' => '<i class="fas fa-life-ring"></i> Support',
						'link'  => 'https://themeatelier.net/contact',
						'class' => 'edp-admin-header',
					),
					array(
						'id'      => 'edp_layout_preset',
						'type'    => 'layout_preset',
						'title'   => esc_html__('Select Template', 'event-detailer-pro'),
						'class'   => 'edp-layout-preset',
						'options' => array(
							'template_one'      => array(
								'image' => EDP_ADMIN_ASSETS . 'img/template_1.svg',
								'text'  => esc_html__('Template 1', 'event-detailer-pro'),
							),
							'template_two'  => array(
								'image' => EDP_ADMIN_ASSETS . 'img/template_2.svg',
								'text'  => esc_html__('Template 2', 'event-detailer-pro'),
							),
							'template_three'  => array(
								'image' => EDP_ADMIN_ASSETS . 'img/template_3.svg',
								'text'  => esc_html__('Template 3', 'event-detailer-pro'),
							),
						),
						'default' => 'template_one',
					),
				), // End of fields array.
			)
		);
	}
}
