<?php if (!defined('ABSPATH')) {
	die;
} // Cannot access directly.

/**
 * The Typography class.
 */
class EDP_Typography
{

	/**
	 * Typography section metabox.
	 *
	 * @param string $prefix The metabox key.
	 * @return void
	 */
	public static function section($prefix)
	{
		EDP::createSection(
			$prefix,
			array(
				'title'           => esc_html__('Typography', 'event-detailer-pro'),
				'icon'            => 'fas fa-font',
				'enqueue_webfont' => true,
				'fields'          => array(

					array(
						'id'         => 'title_typography',
						'type'       => 'typography',
						'title'      => esc_html__('Title Typography', 'event-detailer-pro'),
						'subtitle'   => esc_html__('Set all title typography.', 'event-detailer-pro'),
						'hover_color' => true,
						'default'    => array(
							'color'              => '#111111',
							'hover_color'        => '#0015b5',
							'font-family'        => '',
							'font-weight'        => '700',
							'subset'             => '',
							'font-size'          => '24',
							'tablet-font-size'   => '20',
							'mobile-font-size'   => '16',
							'letter-spacing'     => '0',
							'text-align'         => 'left',
							'text-transform'     => '',
							'type'               => '',
							'unit'               => 'px',
						),
					),
					array(
						'id'          => 'subtitle_typography',
						'type'        => 'typography',
						'title'       => esc_html__('Subtitle Typography', 'event-detailer-pro'),
						'subtitle'    => esc_html__('Set all subtitle typography.', 'event-detailer-pro'),
						'default'     => array(
							'color'              => '#111111',
							'font-family'        => '',
							'font-weight'        => '',
							'subset'             => '',
							'font-size'          => '18',
							'tablet-font-size'   => '16',
							'mobile-font-size'   => '14',
							'letter-spacing'     => '0',
							'text-align'         => 'left',
							'text-transform'     => 'none',
							'type'               => '',
							'unit'               => 'px',
						),
					),
					array(
						'id'          => 'body_typography',
						'type'        => 'typography',
						'title'       => esc_html__('Body Typography', 'event-detailer-pro'),
						'subtitle'    => esc_html__('Set body typography.', 'event-detailer-pro'),
						'default'     => array(
							'color'              => '#111111',
							'font-family'        => '',
							'font-weight'        => '',
							'subset'             => '',
							'font-size'          => '16',
							'tablet-font-size'   => '14',
							'mobile-font-size'   => '12',
							'line-height'        => '22',
							'tablet-line-height' => '16',
							'mobile-line-height' => '16',
							'letter-spacing'     => '0',
							'text-align'         => 'left',
							'text-transform'     => 'none',
							'type'               => '',
							'unit'               => 'px',
						),
					),
				), // End of fields array.
			)
		);
	}
}
