<?php

/**
 *  Dynamic CSS
 *
 * @package    Event_Detailer_Pro
 * @subpackage Event_Detailer_Pro/public
 */

if (!defined('ABSPATH')) {
    exit;
}
$post_sorter     = isset($options['post_content_sorter']) ? $options['post_content_sorter'] : '';

/**
 * Global Css.
 */
$show_content_box_shadow     = isset($options['show_content_box_shadow']) ? $options['show_content_box_shadow'] : '';
if ($show_content_box_shadow) {
    $content_box_shadow = isset($options['content_box_shadow']) ? $options['content_box_shadow'] : array(
        'horizontal' => '0',
        'vertical'   => '2',
        'blur'       => '8',
        'spread'     => '-2',
        'color'      => 'rgb(187, 187, 187)',
    );

    $box_shadow_h             = isset($content_box_shadow['horizontal']) ? $content_box_shadow['horizontal'] : '';
    $box_shadow_v             = isset($content_box_shadow['vertical']) ? $content_box_shadow['vertical'] : '';
    $box_shadow_blur          = isset($content_box_shadow['blur']) ? $content_box_shadow['blur'] : '';
    $box_shadow_spread        = isset($content_box_shadow['spread']) ? $content_box_shadow['spread'] : '';
    $box_shadow_color         = isset($content_box_shadow['color']) ? $content_box_shadow['color'] : '';
    $box_shadow_style         = 'outset' === $content_box_shadow['style'] ? '' : $content_box_shadow['style'];
    $box_shadow_margin_top    = 'inset' === $box_shadow_style ? '0' : ($box_shadow_spread - $box_shadow_v + 0.5 * $box_shadow_blur);
    $box_shadow_margin_right  = 'inset' === $box_shadow_style ? '0' : ($box_shadow_spread + $box_shadow_h + 0.5 * $box_shadow_blur);
    $box_shadow_margin_bottom = 'inset' === $box_shadow_style ? '0' : ($box_shadow_spread + $box_shadow_v + 0.5 * $box_shadow_blur);
    $box_shadow_margin_left   = 'inset' === $box_shadow_style ? '0' : ($box_shadow_spread - $box_shadow_h + 0.5 * $box_shadow_blur);
    $custom_css              .= "#edp-{$layout_id} .edp_contents {box-shadow: {$box_shadow_h}px {$box_shadow_v}px {$box_shadow_blur}px {$box_shadow_spread}px {$box_shadow_color} {$box_shadow_style};margin: {$box_shadow_margin_top}px {$box_shadow_margin_right}px {$box_shadow_margin_bottom}px {$box_shadow_margin_left}px;}";
}
$show_sidebar_box_shadow     = isset($options['show_sidebar_box_shadow']) ? $options['show_sidebar_box_shadow'] : '';
if ($show_sidebar_box_shadow) {
    $sidebar_box_shadow = isset($options['sidebar_box_shadow']) ? $options['sidebar_box_shadow'] : array(
        'horizontal' => '0',
        'vertical'   => '2',
        'blur'       => '8',
        'spread'     => '-2',
        'color'      => 'rgb(187, 187, 187)',
    );
    $box_shadow_h             = isset($sidebar_box_shadow['horizontal']) ? $sidebar_box_shadow['horizontal'] : '';
    $box_shadow_v             = isset($sidebar_box_shadow['vertical']) ? $sidebar_box_shadow['vertical'] : '';
    $box_shadow_blur          = isset($sidebar_box_shadow['blur']) ? $sidebar_box_shadow['blur'] : '';
    $box_shadow_spread        = isset($sidebar_box_shadow['spread']) ? $sidebar_box_shadow['spread'] : '';
    $box_shadow_color         = isset($sidebar_box_shadow['color']) ? $sidebar_box_shadow['color'] : '';
    $box_shadow_style         = 'outset' === $sidebar_box_shadow['style'] ? '' : $sidebar_box_shadow['style'];
    $box_shadow_margin_top    = 'inset' === $box_shadow_style ? '0' : ($box_shadow_spread - $box_shadow_v + 0.5 * $box_shadow_blur);
    $box_shadow_margin_right  = 'inset' === $box_shadow_style ? '0' : ($box_shadow_spread + $box_shadow_h + 0.5 * $box_shadow_blur);
    $box_shadow_margin_bottom = 'inset' === $box_shadow_style ? '0' : ($box_shadow_spread + $box_shadow_v + 0.5 * $box_shadow_blur);
    $box_shadow_margin_left   = 'inset' === $box_shadow_style ? '0' : ($box_shadow_spread - $box_shadow_h + 0.5 * $box_shadow_blur);
    $custom_css              .= "#edp-{$layout_id} .edp_sidebar {box-shadow: {$box_shadow_h}px {$box_shadow_v}px {$box_shadow_blur}px {$box_shadow_spread}px {$box_shadow_color} {$box_shadow_style};margin: {$box_shadow_margin_top}px {$box_shadow_margin_right}px {$box_shadow_margin_bottom}px {$box_shadow_margin_left}px;}";
}

$content_background     = isset($options['content_background']) ? $options['content_background'] : '';
$sidebar_background     = isset($options['sidebar_background']) ? $options['sidebar_background'] : '';
$content_inner_padding     = isset($options['content_inner_padding']) ? $options['content_inner_padding'] : '';
$sidebar_inner_padding     = isset($options['sidebar_inner_padding']) ? $options['sidebar_inner_padding'] : '';
$content_border_radius     = isset($options['content_border_radius']) ? $options['content_border_radius'] : '';
$sidebar_border_radius     = isset($options['sidebar_border_radius']) ? $options['sidebar_border_radius'] : '';
$custom_css .= "#edp-{$layout_id} .edp_sidebar{background-color: {$sidebar_background};padding: {$sidebar_inner_padding['top']}px {$sidebar_inner_padding['right']}px {$sidebar_inner_padding['bottom']}px {$sidebar_inner_padding['left']}px; border-radius: {$sidebar_border_radius['all']}px;}#edp-{$layout_id} .edp_contents{background-color: {$content_background}; padding: {$content_inner_padding['top']}px {$content_inner_padding['right']}px {$content_inner_padding['bottom']}px {$content_inner_padding['left']}px;  border-radius: {$content_border_radius['all']}px;}";

/**
 * Typography.
 */
$title_typography   = isset($options['title_typography']) && array_key_exists('font-size', $options['title_typography']) ? $options['title_typography'] : array(
    'color'              => '#444',
    'font-family'        => '',
    'font-weight'        => '',
    'subset'             => '',
    'font-size'          => '24',
    'tablet-font-size'   => '15',
    'mobile-font-size'   => '18',
    'line-height'        => '28',
    'tablet-line-height' => '24',
    'mobile-line-height' => '15',
    'letter-spacing'     => '0',
    'text-align'         => 'left',
    'text-transform'     => 'none',
    'type'               => '',
    'unit'               => 'px',
);
$section_title_font_weight   = !empty($title_typography['font-weight']) ? $title_typography['font-weight'] : '400';
$section_title_font_style    = !empty($title_typography['font-style']) ? $title_typography['font-style'] : 'normal';
$custom_css                 .= "#edp-{$layout_id} .edp_title{";
if (!empty($title_typography['font-family'])) {
    $custom_css .= "font-family: {$title_typography['font-family']};font-weight: {$section_title_font_weight};font-style: {$section_title_font_style};";
}
$custom_css .= "text-align: {$title_typography['text-align']};text-transform: {$title_typography['text-transform']};font-size: {$title_typography['font-size']}px;line-height: {$title_typography['line-height']}px;letter-spacing: {$title_typography['letter-spacing']}px;color: {$title_typography['color']};} #edp-{$layout_id} .edp_title:hover {color: {$title_typography['hover_color']}}";

$subtitle_typography   = isset($options['subtitle_typography']) && array_key_exists('font-size', $options['subtitle_typography']) ? $options['subtitle_typography'] : array(
    'color'              => '#444',
    'font-family'        => '',
    'font-weight'        => '',
    'subset'             => '',
    'font-size'          => '24',
    'tablet-font-size'   => '15',
    'mobile-font-size'   => '18',
    'line-height'        => '28',
    'tablet-line-height' => '24',
    'mobile-line-height' => '15',
    'letter-spacing'     => '0',
    'text-align'         => 'left',
    'text-transform'     => 'none',
    'type'               => '',
    'unit'               => 'px',
);
$section_title_font_weight   = !empty($subtitle_typography['font-weight']) ? $subtitle_typography['font-weight'] : '400';
$section_title_font_style    = !empty($subtitle_typography['font-style']) ? $subtitle_typography['font-style'] : 'normal';
$custom_css                 .= "#edp-{$layout_id} .edp_sidebar_box h2{";
if (!empty($subtitle_typography['font-family'])) {
    $custom_css .= "font-family: {$subtitle_typography['font-family']};font-weight: {$section_title_font_weight};font-style: {$section_title_font_style};";
}
$custom_css .= "text-align: {$subtitle_typography['text-align']};text-transform: {$subtitle_typography['text-transform']};font-size: {$subtitle_typography['font-size']}px;line-height: {$subtitle_typography['line-height']}px;letter-spacing: {$subtitle_typography['letter-spacing']}px;color: {$subtitle_typography['color']};}";

$body_typography   = isset($options['body_typography']) && array_key_exists('font-size', $options['body_typography']) ? $options['body_typography'] : array(
    'color'              => '#444',
    'font-family'        => '',
    'font-weight'        => '',
    'subset'             => '',
    'font-size'          => '24',
    'tablet-font-size'   => '15',
    'mobile-font-size'   => '18',
    'line-height'        => '28',
    'tablet-line-height' => '24',
    'mobile-line-height' => '15',
    'letter-spacing'     => '0',
    'text-align'         => 'left',
    'text-transform'     => 'none',
    'type'               => '',
    'unit'               => 'px',
);
$section_title_font_weight   = !empty($body_typography['font-weight']) ? $body_typography['font-weight'] : '400';
$section_title_font_style    = !empty($body_typography['font-style']) ? $body_typography['font-style'] : 'normal';
$custom_css                 .= "#edp-{$layout_id} {";
if (!empty($body_typography['font-family'])) {
    $custom_css .= "font-family: {$body_typography['font-family']};font-weight: {$section_title_font_weight};font-style: {$section_title_font_style};";
}
$custom_css .= "text-align: {$body_typography['text-align']};text-transform: {$body_typography['text-transform']};font-size: {$body_typography['font-size']}px;line-height: {$body_typography['line-height']}px;letter-spacing: {$body_typography['letter-spacing']}px;color: {$body_typography['color']};}";

/**
 * Post Thumbnail CSS.
 */
$post_thumb_margin        = isset($post_sorter['post_thumb_margin']) ? $post_sorter['post_thumb_margin'] : array(
    'top'    => '0',
    'right'  => '0',
    'bottom' => '20',
    'left'   => '0',
);

$post_thumb_border_radius = isset($post_sorter['post_thumb_border_radius']) ? $post_sorter['post_thumb_border_radius'] : array(
    'top'    => '0',
    'right'  => '0',
    'bottom' => '0',
    'left'   => '0',
    'unit'   => 'px',
);
$post_thumb_border_radius_top = $post_thumb_border_radius['top'] . $post_thumb_border_radius['unit'];
$post_thumb_border_radius_left = $post_thumb_border_radius['left'] . $post_thumb_border_radius['unit'];
$post_thumb_border_radius_bottom = $post_thumb_border_radius['bottom'] . $post_thumb_border_radius['unit'];
$post_thumb_border_radius_right = $post_thumb_border_radius['right'] . $post_thumb_border_radius['unit'];
// Post thumb border radius.
$custom_css .= "#edp-{$layout_id} .edp_thumbnail img{border-radius: {$post_thumb_border_radius_top} {$post_thumb_border_radius_right} {$post_thumb_border_radius_bottom} {$post_thumb_border_radius_left};} #edp-{$layout_id} .edp_thumbnail{margin: {$post_thumb_margin['top']}px {$post_thumb_margin['right']}px {$post_thumb_margin['bottom']}px {$post_thumb_margin['left']}px;}";
if ($post_sorter['post_thumb_meta']) {
    $post_thumb_meta_padding = isset($post_sorter['post_thumb_meta_padding']) ? $post_sorter['post_thumb_meta_padding'] : '';
    $post_thumb_meta_alignment = isset($post_sorter['post_thumb_meta_alignment']) ? $post_sorter['post_thumb_meta_alignment'] : '';
    $post_thumb_meta_background = isset($post_sorter['post_thumb_meta_background']) ? $post_sorter['post_thumb_meta_background'] : '';

    $custom_css             .= "#edp-{$layout_id} .edp_thumbnail .edp_thumbnail_content{align-items:{$post_thumb_meta_alignment}; padding: {$post_thumb_meta_padding['top']}px {$post_thumb_meta_padding['right']}px {$post_thumb_meta_padding['bottom']}px {$post_thumb_meta_padding['left']}px; background-color: {$post_thumb_meta_background['background-color']}; background-image: linear-gradient({$post_thumb_meta_background['background-gradient-direction']}, {$post_thumb_meta_background['background-color']}, {$post_thumb_meta_background['background-gradient-color']}); }";
}
// Border for Post thumb.
$post_thumb_border = isset($post_sorter['edp_thumb_border']) ? $post_sorter['edp_thumb_border'] : array(
    'all'   => '0',
    'style' => 'solid',
    'color' => '#fff',
);
if (0 !== $post_thumb_border['all'] && 'none' !== $post_thumb_border['style']) {
    $custom_css .= "#edp-{$layout_id} .edp_thumbnail{border: {$post_thumb_border['all']}px {$post_thumb_border['style']} {$post_thumb_border['color']};}";
}

// Grayscale effect.
$post_thumb_gray_scale = isset($post_sorter['post_thumb_gray_scale']) ? $post_sorter['post_thumb_gray_scale'] : 'none';

if ('gray_and_normal' === $post_thumb_gray_scale) {
    $custom_css .= "#edp-{$layout_id} .edp_thumbnail img{-webkit-filter: grayscale(100%);filter: grayscale(100%);}#edp-{$layout_id} .edp_thumbnail:hover img{-webkit-filter: grayscale(0);filter: grayscale(0);}";
} elseif ('gray_on_hover' === $post_thumb_gray_scale) {
    $custom_css .= "#edp-{$layout_id} .edp_thumbnail img{-webkit-filter: grayscale(0);filter: grayscale(0);}#edp-{$layout_id} .edp_thumbnail:hover img{-webkit-filter: grayscale(100%);filter: grayscale(100%);}";
} elseif ('always_gray' === $post_thumb_gray_scale) {
    $custom_css .= "#edp-{$layout_id} .edp_thumbnail img,#edp-{$layout_id} .edp_thumbnail:hover img{-webkit-filter: grayscale(100%);filter: grayscale(100%);}";
}
// Zoom effect.
$post_thumb_zoom = isset($post_sorter['post_thumb_zoom']) ? $post_sorter['post_thumb_zoom'] : 'none';
if ('zoom_in' === $post_thumb_zoom) {
    $custom_css .= "#edp-{$layout_id} .edp_thumbnail:hover img{transform: scale(1.08);}";
} elseif ('zoom_out' === $post_thumb_zoom) {
    $custom_css .= "#edp-{$layout_id} .edp_thumbnail img{transform: scale(1.08);}
    #edp-{$layout_id} .edp_thumbnail:hover img{transform: scale(1.0);}";
}
$edp_thumb_meta_group = $post_sorter['edp_thumb_meta_group'];
foreach ($edp_thumb_meta_group as $edp_each_meta) {
    $select_thumb_meta = isset($edp_each_meta['select_thumb_meta']) ? $edp_each_meta['select_thumb_meta'] : '';
    switch ($select_thumb_meta) {
        case 'title':
            $edp_thumb_title_color = isset($edp_each_meta['edp_thumb_title_color']) ? $edp_each_meta['edp_thumb_title_color'] : '#fff';
            $edp_thumb_title_margin = isset($edp_each_meta['edp_thumb_title_margin']) ? $edp_each_meta['edp_thumb_title_margin'] : '#fff';
            $custom_css .= "#edp-{$layout_id} .edp_thumbnail .edp_title {color: {$edp_thumb_title_color}; margin: {$edp_thumb_title_margin['top']}px {$edp_thumb_title_margin['right']}px {$edp_thumb_title_margin['bottom']}px {$edp_thumb_title_margin['left']}px;}";
            break;
        case 'date':
            $edp_thumb_date_color = isset($edp_each_meta['edp_thumb_date_color']) ? $edp_each_meta['edp_thumb_date_color'] : '#fff';
            $edp_thumb_date_margin = isset($edp_each_meta['edp_thumb_date_margin']) ? $edp_each_meta['edp_thumb_date_margin'] : array(
                'top'    => '0',
                'right'  => '0',
                'bottom' => '15',
                'left'   => '0',
            );
            $custom_css .= "#edp-{$layout_id} .edp_thumbnail .edp_date {color: {$edp_thumb_date_color}; margin: {$edp_thumb_date_margin['top']}px {$edp_thumb_date_margin['right']}px {$edp_thumb_date_margin['bottom']}px {$edp_thumb_date_margin['left']}px;}";
            break;
        case 'countdown':
            $edp_thumb_date_color = isset($edp_each_meta['edp_thumb_date_color']) ? $edp_each_meta['edp_thumb_date_color'] : '#fff';
            $edp_thumb_countdown_color = isset($edp_each_meta['edp_thumb_countdown_color']) ? $edp_each_meta['edp_thumb_countdown_color'] : '#fff';
            $edp_thumb_countdown_width_height = isset($edp_each_meta['edp_thumb_countdown_width_height']) ? $edp_each_meta['edp_thumb_countdown_width_height'] : '';
            $edp_thumb_countdown_margin = isset($edp_each_meta['edp_thumb_countdown_margin']) ? $edp_each_meta['edp_thumb_countdown_margin'] : '';
            $edp_thumb_countdown_border = isset($edp_each_meta['edp_thumb_countdown_border']) ? $edp_each_meta['edp_thumb_countdown_border'] : '';
            $custom_css .= "#edp-{$layout_id} .edp_thumbnail .edp_countdown {color: {$edp_thumb_countdown_color};  margin: {$edp_thumb_countdown_margin['top']}px {$edp_thumb_countdown_margin['right']}px {$edp_thumb_countdown_margin['bottom']}px {$edp_thumb_countdown_margin['left']}px;}";

            $custom_css .= "#edp-{$layout_id} .edp_thumbnail .edp_countdown .edp_countdown_item {border-width: {$edp_thumb_countdown_border['all']}px; border-style:{$edp_thumb_countdown_border['style']}; border-color:{$edp_thumb_countdown_border['color']}; width: {$edp_thumb_countdown_width_height['width']}px; height: {$edp_thumb_countdown_width_height['height']}px;}";
            break;
    }
}


/**
 * Post Title CSS.
 */
$post_sorter     = isset($options['post_content_sorter']) ? $options['post_content_sorter'] : '';
$edp_event_fildes  = isset($post_sorter['edp_event_fildes']) ? $post_sorter['edp_event_fildes'] : '';
$edp_post_title  = isset($post_sorter['edp_post_title']) ? $post_sorter['edp_post_title'] : '';

$show_post_title = isset($edp_post_title['show_post_title']) ? $edp_post_title['show_post_title'] : '';

if ($show_post_title) {
    $post_title_margin = isset($edp_post_title['post_title_margin']) ? $edp_post_title['post_title_margin'] : array(
        'top'    => '0',
        'right'  => '0',
        'bottom' => '10',
        'left'   => '0',
    );

    $_post_title_typography = isset($options['post_title_typography']) && array_key_exists('font-size', $options['post_title_typography']) ? $options['post_title_typography'] : array(
        'color'              => '#111',
        'hover_color'        => '#263ad0',
        'font-family'        => '',
        'font-weight'        => '',
        'subset'             => '',
        'font-size'          => '15',
        'tablet-font-size'   => '18',
        'mobile-font-size'   => '16',
        'line-height'        => '24',
        'tablet-line-height' => '22',
        'mobile-line-height' => '15',
        'letter-spacing'     => '0',
        'text-align'         => 'left',
        'text-transform'     => 'none',
        'type'               => '',
        'unit'               => 'px',
    );
    $post_title_font_weight = !empty($_post_title_typography['font-weight']) ? $_post_title_typography['font-weight'] : '400';
    $post_title_font_style  = !empty($_post_title_typography['font-style']) ? $_post_title_typography['font-style'] : 'normal';
    $custom_css            .= "#edp-{$layout_id} .edp_title{";
    if (!empty($_post_title_typography['font-family'])) {
        $custom_css .= "font-family: {$_post_title_typography['font-family']};font-weight: {$post_title_font_weight};font-style: {$post_title_font_style};";
    }
    $custom_css .= "text-align: {$_post_title_typography['text-align']};";
    $custom_css .= "text-transform: {$_post_title_typography['text-transform']};font-size: {$_post_title_typography['font-size']}px;line-height: {$_post_title_typography['line-height']}px;letter-spacing: {$_post_title_typography['letter-spacing']}px;color: {$_post_title_typography['color']};display: inherit;}#edp-{$layout_id} .edp_title {margin: {$post_title_margin['top']}px {$post_title_margin['right']}px {$post_title_margin['bottom']}px {$post_title_margin['left']}px;} {display: inline-block;}";
    $custom_css .= "#edp-{$layout_id} .edp_title:hover {color: {$_post_title_typography['hover_color']};}";
}

/**
 * Post Date CSS.
 */
$edp_date_margin = isset($post_sorter['edp_date_margin']) ? $post_sorter['edp_date_margin'] : array(
    'top'    => '0',
    'right'  => '0',
    'bottom' => '15',
    'left'   => '0',
);
$custom_css .= "#edp-{$layout_id} .edp_date {margin: {$edp_date_margin['top']}px {$edp_date_margin['right']}px {$edp_date_margin['bottom']}px {$edp_date_margin['left']}px;}";

/**
 * Countdown CSS.
 */
$edp_countdown_width_height = isset($post_sorter['edp_countdown_width_height']) ? $post_sorter['edp_countdown_width_height'] : '';
$edp_countdown_box_border_radius = isset($post_sorter['edp_countdown_box_border_radius']) ? $post_sorter['edp_countdown_box_border_radius'] : '';
$edp_countdown_item_border_radius = isset($post_sorter['edp_countdown_item_border_radius']) ? $post_sorter['edp_countdown_item_border_radius'] : '';
$edp_countdown_background = isset($post_sorter['edp_countdown_background']) ? $post_sorter['edp_countdown_background'] : '#fff';
$edp_countdown_box_shadow = isset($post_sorter['edp_countdown_box_shadow']) ? $post_sorter['edp_countdown_box_shadow'] : array(
    'horizontal' => '0',
    'vertical'   => '2',
    'blur'       => '8',
    'spread'     => '-2',
    'color'      => 'rgb(187, 187, 187)',
);

$edp_countdown_box_shadow_h             = isset($edp_countdown_box_shadow['horizontal']) ? $edp_countdown_box_shadow['horizontal'] : '';
$edp_countdown_box_shadow_v             = isset($edp_countdown_box_shadow['vertical']) ? $edp_countdown_box_shadow['vertical'] : '';
$edp_countdown_box_shadow_blur          = isset($edp_countdown_box_shadow['blur']) ? $edp_countdown_box_shadow['blur'] : '';
$edp_countdown_box_shadow_spread        = isset($edp_countdown_box_shadow['spread']) ? $edp_countdown_box_shadow['spread'] : '';
$edp_countdown_box_shadow_color         = isset($edp_countdown_box_shadow['color']) ? $edp_countdown_box_shadow['color'] : '';
$edp_countdown_box_shadow_style         = 'outset' === $edp_countdown_box_shadow['style'] ? '' : $edp_countdown_box_shadow['style'];
$custom_css   .= "#edp-{$layout_id} .edp_sidebar_box.edp_countdown {box-shadow: {$edp_countdown_box_shadow_h}px {$edp_countdown_box_shadow_v}px {$edp_countdown_box_shadow_blur}px {$edp_countdown_box_shadow_spread}px {$edp_countdown_box_shadow_color} {$edp_countdown_box_shadow_style}; background-color: {$edp_countdown_background};}";

$edp_countdown_padding = isset($post_sorter['edp_countdown_padding']) ? $post_sorter['edp_countdown_padding'] : '';
$edp_countdown_margin = isset($post_sorter['edp_countdown_margin']) ? $post_sorter['edp_countdown_margin'] : '';
$edp_countdown_border = isset($post_sorter['edp_countdown_border']) ? $post_sorter['edp_countdown_border'] : '';
$custom_css .= "#edp-{$layout_id} .edp_countdown { margin: {$edp_countdown_margin['top']}px {$edp_countdown_margin['right']}px {$edp_countdown_margin['bottom']}px {$edp_countdown_margin['left']}px; padding: {$edp_countdown_padding['top']}px {$edp_countdown_padding['right']}px {$edp_countdown_padding['bottom']}px {$edp_countdown_padding['left']}px; border-radius:{$edp_countdown_box_border_radius['all']}px;}";
$custom_css .= "#edp-{$layout_id} .edp_countdown .edp_countdown_item {border-width: {$edp_countdown_border['all']}px; border-style:{$edp_countdown_border['style']}; border-color:{$edp_countdown_border['color']}; width: {$edp_countdown_width_height['width']}px; height: {$edp_countdown_width_height['height']}px; border-radius:{$edp_countdown_item_border_radius['all']}px;}";

/**
 * Event Content CSS.
 */
$post_content_margin      = isset($post_sorter['post_content_margin']) ? $post_sorter['post_content_margin'] : array(
    'top'    => '0',
    'right'  => '0',
    'bottom' => '15',
    'left'   => '0',
);

$custom_css  .= "#edp-{$layout_id} .edp_content { margin: {$post_content_margin['top']}px {$post_content_margin['right']}px {$post_content_margin['bottom']}px {$post_content_margin['left']}px; }";
/**
 * Map CSS.
 */
$edp_map_border_radius      = isset($post_sorter['edp_map_border_radius']) ? $post_sorter['edp_map_border_radius'] : '';
$edp_map_padding      = isset($post_sorter['edp_map_padding']) ? $post_sorter['edp_map_padding'] : array(
    'top'    => '0',
    'right'  => '0',
    'bottom' => '15',
    'left'   => '0',
);
$edp_map_meta_margin      = isset($post_sorter['edp_map_meta_margin']) ? $post_sorter['edp_map_meta_margin'] : array(
    'top'    => '0',
    'right'  => '0',
    'bottom' => '15',
    'left'   => '0',
);
$edp_map_background = isset($post_sorter['edp_map_background']) ? $post_sorter['edp_map_background'] : '#fff';
$edp_map_shadow = isset($post_sorter['edp_map_shadow']) ? $post_sorter['edp_map_shadow'] : array(
    'horizontal' => '0',
    'vertical'   => '2',
    'blur'       => '8',
    'spread'     => '-2',
    'color'      => 'rgb(187, 187, 187)',
);

$edp_map_shadow_h             = isset($edp_map_shadow['horizontal']) ? $edp_map_shadow['horizontal'] : '';
$edp_map_shadow_v             = isset($edp_map_shadow['vertical']) ? $edp_map_shadow['vertical'] : '';
$edp_map_shadow_blur          = isset($edp_map_shadow['blur']) ? $edp_map_shadow['blur'] : '';
$edp_map_shadow_spread        = isset($edp_map_shadow['spread']) ? $edp_map_shadow['spread'] : '';
$edp_map_shadow_color         = isset($edp_map_shadow['color']) ? $edp_map_shadow['color'] : '';
$edp_map_shadow_style         = 'outset' === $edp_map_shadow['style'] ? '' : $edp_map_shadow['style'];
$custom_css              .= "#edp-{$layout_id} .edp_sidebar_box.edp_map {box-shadow: {$edp_map_shadow_h}px {$edp_map_shadow_v}px {$edp_map_shadow_blur}px {$edp_map_shadow_spread}px {$edp_map_shadow_color} {$edp_map_shadow_style}; background-color: {$edp_map_background};}";
$custom_css  .= "#edp-{$layout_id} .edp_sidebar_box.edp_map { margin: {$edp_map_meta_margin['top']}px {$edp_map_meta_margin['right']}px {$edp_map_meta_margin['bottom']}px {$edp_map_meta_margin['left']}px; padding: {$edp_map_padding['top']}px {$edp_map_padding['right']}px {$edp_map_padding['bottom']}px {$edp_map_padding['left']}px;border-radius:{$edp_map_border_radius['all']}px;}";
/**
 * Detail Meta CSS.
 */
$edp_detail_box_border_radius      = isset($post_sorter['edp_detail_box_border_radius']) ? $post_sorter['edp_detail_box_border_radius'] : '';
$edp_detail_padding      = isset($post_sorter['edp_detail_padding']) ? $post_sorter['edp_detail_padding'] : array(
    'top'    => '0',
    'right'  => '0',
    'bottom' => '15',
    'left'   => '0',
);
$edp_detail_meta_margin      = isset($post_sorter['edp_detail_meta_margin']) ? $post_sorter['edp_detail_meta_margin'] : array(
    'top'    => '0',
    'right'  => '0',
    'bottom' => '15',
    'left'   => '0',
);
$edp_detail_background = isset($post_sorter['edp_detail_background']) ? $post_sorter['edp_detail_background'] : '#fff';
$edp_detail_box_shadow = isset($post_sorter['edp_detail_box_shadow']) ? $post_sorter['edp_detail_box_shadow'] : array(
    'horizontal' => '0',
    'vertical'   => '2',
    'blur'       => '8',
    'spread'     => '-2',
    'color'      => 'rgb(187, 187, 187)',
);

$edp_detail_box_shadow_h             = isset($edp_detail_box_shadow['horizontal']) ? $edp_detail_box_shadow['horizontal'] : '';
$edp_detail_box_shadow_v             = isset($edp_detail_box_shadow['vertical']) ? $edp_detail_box_shadow['vertical'] : '';
$edp_detail_box_shadow_blur          = isset($edp_detail_box_shadow['blur']) ? $edp_detail_box_shadow['blur'] : '';
$edp_detail_box_shadow_spread        = isset($edp_detail_box_shadow['spread']) ? $edp_detail_box_shadow['spread'] : '';
$edp_detail_box_shadow_color         = isset($edp_detail_box_shadow['color']) ? $edp_detail_box_shadow['color'] : '';
$edp_detail_box_shadow_style         = 'outset' === $edp_detail_box_shadow['style'] ? '' : $edp_detail_box_shadow['style'];
$custom_css              .= "#edp-{$layout_id} .edp_sidebar_box.edp_detail {box-shadow: {$edp_detail_box_shadow_h}px {$edp_detail_box_shadow_v}px {$edp_detail_box_shadow_blur}px {$edp_detail_box_shadow_spread}px {$edp_detail_box_shadow_color} {$edp_detail_box_shadow_style}; background-color: {$edp_detail_background};}";
$custom_css  .= "#edp-{$layout_id} .edp_sidebar_box.edp_detail { margin: {$edp_detail_meta_margin['top']}px {$edp_detail_meta_margin['right']}px {$edp_detail_meta_margin['bottom']}px {$edp_detail_meta_margin['left']}px; padding: {$edp_detail_padding['top']}px {$edp_detail_padding['right']}px {$edp_detail_padding['bottom']}px {$edp_detail_padding['left']}px;border-radius:{$edp_detail_box_border_radius['all']}px;}";
/**
 * Venue CSS.
 */
$edp_venue_box_border_radius      = isset($post_sorter['edp_venue_box_border_radius']) ? $post_sorter['edp_venue_box_border_radius'] : '';
$edp_venue_padding      = isset($post_sorter['edp_venue_padding']) ? $post_sorter['edp_venue_padding'] : array(
    'top'    => '0',
    'right'  => '0',
    'bottom' => '15',
    'left'   => '0',
);
$edp_venue_margin      = isset($post_sorter['edp_venue_margin']) ? $post_sorter['edp_venue_margin'] : array(
    'top'    => '0',
    'right'  => '0',
    'bottom' => '15',
    'left'   => '0',
);
$edp_venue_background = isset($post_sorter['edp_venue_background']) ? $post_sorter['edp_venue_background'] : '#fff';
$edp_venue_box_shadow = isset($post_sorter['edp_venue_box_shadow']) ? $post_sorter['edp_venue_box_shadow'] : array(
    'horizontal' => '0',
    'vertical'   => '2',
    'blur'       => '8',
    'spread'     => '-2',
    'color'      => 'rgb(187, 187, 187)',
);

$edp_venue_box_shadow_h             = isset($edp_venue_box_shadow['horizontal']) ? $edp_venue_box_shadow['horizontal'] : '';
$edp_venue_box_shadow_v             = isset($edp_venue_box_shadow['vertical']) ? $edp_venue_box_shadow['vertical'] : '';
$edp_venue_box_shadow_blur          = isset($edp_venue_box_shadow['blur']) ? $edp_venue_box_shadow['blur'] : '';
$edp_venue_box_shadow_spread        = isset($edp_venue_box_shadow['spread']) ? $edp_venue_box_shadow['spread'] : '';
$edp_venue_box_shadow_color         = isset($edp_venue_box_shadow['color']) ? $edp_venue_box_shadow['color'] : '';
$edp_venue_box_shadow_style         = 'outset' === $edp_venue_box_shadow['style'] ? '' : $edp_venue_box_shadow['style'];
$custom_css              .= "#edp-{$layout_id} .edp_sidebar_box.edp_venue {box-shadow: {$edp_venue_box_shadow_h}px {$edp_venue_box_shadow_v}px {$edp_venue_box_shadow_blur}px {$edp_venue_box_shadow_spread}px {$edp_venue_box_shadow_color} {$edp_venue_box_shadow_style}; background-color:{$edp_venue_background};}";
$custom_css  .= "#edp-{$layout_id} .edp_sidebar_box.edp_venue { margin: {$edp_venue_margin['top']}px {$edp_venue_margin['right']}px {$edp_venue_margin['bottom']}px {$edp_venue_margin['left']}px; padding: {$edp_venue_padding['top']}px {$edp_venue_padding['right']}px {$edp_venue_padding['bottom']}px {$edp_venue_padding['left']}px;border-radius:{$edp_venue_box_border_radius['all']}px;}";

/**
 * Organizer CSS.
 */
$edp_organizer_box_border_radius      = isset($post_sorter['edp_organizer_box_border_radius']) ? $post_sorter['edp_organizer_box_border_radius'] : '';
$edp_organizer_padding      = isset($post_sorter['edp_organizer_padding']) ? $post_sorter['edp_organizer_padding'] : array(
    'top'    => '0',
    'right'  => '0',
    'bottom' => '15',
    'left'   => '0',
);
$edp_organizer_margin      = isset($post_sorter['edp_organizer_margin']) ? $post_sorter['edp_organizer_margin'] : array(
    'top'    => '0',
    'right'  => '0',
    'bottom' => '15',
    'left'   => '0',
);
$edp_organizer_background = isset($post_sorter['edp_organizer_background']) ? $post_sorter['edp_organizer_background'] : '#fff';
$edp_organizer_box_shadow = isset($post_sorter['edp_organizer_box_shadow']) ? $post_sorter['edp_organizer_box_shadow'] : array(
    'horizontal' => '0',
    'vertical'   => '2',
    'blur'       => '8',
    'spread'     => '-2',
    'color'      => 'rgb(187, 187, 187)',
);

$edp_organizer_box_shadow_h             = isset($edp_organizer_box_shadow['horizontal']) ? $edp_organizer_box_shadow['horizontal'] : '';
$edp_organizer_box_shadow_v             = isset($edp_organizer_box_shadow['vertical']) ? $edp_organizer_box_shadow['vertical'] : '';
$edp_organizer_box_shadow_blur          = isset($edp_organizer_box_shadow['blur']) ? $edp_organizer_box_shadow['blur'] : '';
$edp_organizer_box_shadow_spread        = isset($edp_organizer_box_shadow['spread']) ? $edp_organizer_box_shadow['spread'] : '';
$edp_organizer_box_shadow_color         = isset($edp_organizer_box_shadow['color']) ? $edp_organizer_box_shadow['color'] : '';
$edp_organizer_box_shadow_style         = 'outset' === $edp_organizer_box_shadow['style'] ? '' : $edp_organizer_box_shadow['style'];

$custom_css  .= "#edp-{$layout_id} .edp_sidebar_box.edp_organizer {box-shadow: {$edp_organizer_box_shadow_h}px {$edp_organizer_box_shadow_v}px {$edp_organizer_box_shadow_blur}px {$edp_organizer_box_shadow_spread}px {$edp_organizer_box_shadow_color} {$edp_organizer_box_shadow_style}; background-color:{$edp_organizer_background};}";
$custom_css  .= "#edp-{$layout_id} .edp_sidebar_box.edp_organizer { margin: {$edp_organizer_margin['top']}px {$edp_organizer_margin['right']}px {$edp_organizer_margin['bottom']}px {$edp_organizer_margin['left']}px; padding: {$edp_organizer_padding['top']}px {$edp_organizer_padding['right']}px {$edp_organizer_padding['bottom']}px {$edp_organizer_padding['left']}px; border-radius:{$edp_organizer_box_border_radius['all']}px;}";

/**
 * Calendar CSS.
 */
$edp_calendar_box_border_radius      = isset($post_sorter['edp_calendar_box_border_radius']) ? $post_sorter['edp_calendar_box_border_radius'] : '';
$edp_calendar_padding      = isset($post_sorter['edp_calendar_padding']) ? $post_sorter['edp_calendar_padding'] : array(
    'top'    => '0',
    'right'  => '0',
    'bottom' => '15',
    'left'   => '0',
);
$edp_calendar_margin      = isset($post_sorter['edp_calendar_margin']) ? $post_sorter['edp_calendar_margin'] : array(
    'top'    => '0',
    'right'  => '0',
    'bottom' => '15',
    'left'   => '0',
);
$edp_calendar_background = isset($post_sorter['edp_calendar_background']) ? $post_sorter['edp_calendar_background'] : '#fff';
$edp_calendar_box_shadow = isset($post_sorter['edp_calendar_box_shadow']) ? $post_sorter['edp_calendar_box_shadow'] : array(
    'horizontal' => '0',
    'vertical'   => '2',
    'blur'       => '8',
    'spread'     => '-2',
    'color'      => 'rgb(187, 187, 187)',
);
$edp_calendar_box_shadow_h             = isset($edp_calendar_box_shadow['horizontal']) ? $edp_calendar_box_shadow['horizontal'] : '';
$edp_calendar_box_shadow_v             = isset($edp_calendar_box_shadow['vertical']) ? $edp_calendar_box_shadow['vertical'] : '';
$edp_calendar_box_shadow_blur          = isset($edp_calendar_box_shadow['blur']) ? $edp_calendar_box_shadow['blur'] : '';
$edp_calendar_box_shadow_spread        = isset($edp_calendar_box_shadow['spread']) ? $edp_calendar_box_shadow['spread'] : '';
$edp_calendar_box_shadow_color         = isset($edp_calendar_box_shadow['color']) ? $edp_calendar_box_shadow['color'] : '';
$edp_calendar_box_shadow_style         = 'outset' === $edp_calendar_box_shadow['style'] ? '' : $edp_calendar_box_shadow['style'];

$custom_css  .= "#edp-{$layout_id} .edp_sidebar_box.edp_calendar_button {box-shadow: {$edp_calendar_box_shadow_h}px {$edp_calendar_box_shadow_v}px {$edp_calendar_box_shadow_blur}px {$edp_calendar_box_shadow_spread}px {$edp_calendar_box_shadow_color} {$edp_calendar_box_shadow_style}; background-color:{$edp_calendar_background};}";
$custom_css  .= "#edp-{$layout_id} .edp_sidebar_box.edp_calendar_button { margin: {$edp_calendar_margin['top']}px {$edp_calendar_margin['right']}px {$edp_calendar_margin['bottom']}px {$edp_calendar_margin['left']}px; padding: {$edp_calendar_padding['top']}px {$edp_calendar_padding['right']}px {$edp_calendar_padding['bottom']}px {$edp_calendar_padding['left']}px; border-radius:{$edp_calendar_box_border_radius['all']}px;}";

/**
 * Social Share CSS.
 */
$edp_social_share_padding      = isset($post_sorter['edp_social_share_padding']) ? $post_sorter['edp_social_share_padding'] : array(
    'top'    => '0',
    'right'  => '0',
    'bottom' => '15',
    'left'   => '0',
);
$social_margin        = isset($post_sorter['social_margin']) ? $post_sorter['social_margin'] : array(
    'top'    => '0',
    'right'  => '0',
    'bottom' => '0',
    'left'   => '0',
);
$edp_social_share_background = isset($post_sorter['edp_social_share_background']) ? $post_sorter['edp_social_share_background'] : '#fff';
$edp_social_share_box_border_radius = isset($post_sorter['edp_social_share_box_border_radius']) ? $post_sorter['edp_social_share_box_border_radius'] : '';
$icon_custom_color    = isset($post_sorter['social_icon_custom_color']) ? $post_sorter['social_icon_custom_color'] : false;
$social_position      = isset($post_sorter['social_position']) ? $post_sorter['social_position'] : 'left';
$edp_social_share_box_shadow = isset($post_sorter['edp_social_share_box_shadow']) ? $post_sorter['edp_social_share_box_shadow'] : array(
    'horizontal' => '0',
    'vertical'   => '2',
    'blur'       => '8',
    'spread'     => '-2',
    'color'      => 'rgb(187, 187, 187)',
);

$edp_social_share_box_shadow_h             = isset($edp_social_share_box_shadow['horizontal']) ? $edp_social_share_box_shadow['horizontal'] : '';
$edp_social_share_box_shadow_v             = isset($edp_social_share_box_shadow['vertical']) ? $edp_social_share_box_shadow['vertical'] : '';
$edp_social_share_box_shadow_blur          = isset($edp_social_share_box_shadow['blur']) ? $edp_social_share_box_shadow['blur'] : '';
$edp_social_share_box_shadow_spread        = isset($edp_social_share_box_shadow['spread']) ? $edp_social_share_box_shadow['spread'] : '';
$edp_social_share_box_shadow_color         = isset($edp_social_share_box_shadow['color']) ? $edp_social_share_box_shadow['color'] : '';
$edp_social_share_box_shadow_style         = 'outset' === $edp_social_share_box_shadow['style'] ? '' : $edp_social_share_box_shadow['style'];
$custom_css              .= "#edp-{$layout_id} .edp_sidebar_box.edp_social_share {box-shadow: {$edp_social_share_box_shadow_h}px {$edp_social_share_box_shadow_v}px {$edp_social_share_box_shadow_blur}px {$edp_social_share_box_shadow_spread}px {$edp_social_share_box_shadow_color} {$edp_social_share_box_shadow_style}; border-radius:{$edp_social_share_box_border_radius['all']}px; background-color:{$edp_social_share_background};}";
$custom_css .= "#edp-{$layout_id} .edp_item_social_share{text-align: {$social_position}; margin: {$social_margin['top']}px {$social_margin['right']}px {$social_margin['bottom']}px {$social_margin['left']}px; padding: {$edp_social_share_padding['top']}px {$edp_social_share_padding['right']}px {$edp_social_share_padding['bottom']}px {$edp_social_share_padding['left']}px;}#edp-{$layout_id} .edp_item_social_share a.icon_only i{background: transparent;border: none;}"; // start from here.

if ($icon_custom_color) {
    $social_icon_color    = isset($post_sorter['social_icon_color']) ? $post_sorter['social_icon_color'] : array(
        'icon_color'        => '#ffffff',
        'icon_hover_color'  => '#ffffff',
        'icon_bg'           => '#263ad0',
        'icon_bg_hover'     => '#0015b5',
        'icon_border_hover' => '#0015b5',
    );
    $social_icon_border       = $post_sorter['social_icon_border'];
    $social_icon_border_width = (int) $social_icon_border['all'];
    $social_line_height       = 30 - ($social_icon_border_width * 2);
    $custom_css              .= "#edp-{$layout_id} .edp_item_social_share a i{ color: {$social_icon_color['icon_color']}; line-height: {$social_line_height}px; background: {$social_icon_color['icon_bg']}; border: {$social_icon_border_width}px {$social_icon_border['style']} {$social_icon_border['color']}; } #edp-{$layout_id} .edp_item_social_share a:hover i{ color: {$social_icon_color['icon_hover_color']}; background: {$social_icon_color['icon_bg_hover']}; border-color: {$social_icon_color['icon_border_hover']}; }";
}

/**
 * Next/Prev CSS.
 */
$next_prev_link_color      = isset($options['next_prev_link_color']) ? $options['next_prev_link_color'] : '';
$custom_css  .= "#edp-{$layout_id} .edp_next_prev .edp_prev a, #edp-{$layout_id} .edp_next_prev .edp_next a { color: {$next_prev_link_color['normal']}}";
$custom_css  .= "#edp-{$layout_id} .edp_next_prev .edp_prev a:hover, #edp-{$layout_id} .edp_next_prev .edp_next a:hover { color: {$next_prev_link_color['hover']}}";

/**
 * Sidebar Subtitle CSS.
 */

$sidebar_subtitle_background = isset($options['sidebar_subtitle_background']) ? $options['sidebar_subtitle_background'] : '';
$sidebar_subtitle_padding = isset($options['sidebar_subtitle_padding']) ? $options['sidebar_subtitle_padding'] : '';
$sidebar_subtitle_border_radius = isset($options['sidebar_subtitle_border_radius']) ? $options['sidebar_subtitle_border_radius'] : '';
$custom_css  .= "#edp-{$layout_id} .edp_sidebar_box h2 { background-color: {$sidebar_subtitle_background}; padding: {$sidebar_subtitle_padding['top']}px {$sidebar_subtitle_padding['right']}px {$sidebar_subtitle_padding['bottom']}px {$sidebar_subtitle_padding['left']}px; border-radius: {$sidebar_subtitle_border_radius['all']}px;}";

/**
 * Related Events CSS.
 */
$show_related_events = isset($options['show_related_events']) ? $options['show_related_events'] : '';
if ($show_related_events) {
    $edp_related_events_background = isset($options['edp_related_events_background']) ? $options['edp_related_events_background'] : '';
    $edp_related_events_padding = isset($options['edp_related_events_padding']) ? $options['edp_related_events_padding'] : '';
    $edp_related_events_border_radius = isset($options['edp_related_events_border_radius']) ? $options['edp_related_events_border_radius'] : '';
    $custom_css  .= "#edp-{$layout_id} .edp_related_event {background-color: {$edp_related_events_background}; border-radius: {$edp_related_events_border_radius['all']}px; padding: {$edp_related_events_padding['top']}px {$edp_related_events_padding['right']}px {$edp_related_events_padding['bottom']}px {$edp_related_events_padding['left']}px;}";
}
