<?php

/**
 * Item Calendar Meta
 *
 * This template can be overridden by copying it to yourtheme/event-detailer-pro/templates/item/calendar-button.php
 *
 * @package    Event_Detailer_Pro
 * @subpackage Event_Detailer_Pro/public
 */
$calender_button = isset($post_content_sorter['calendar_button']) ? $post_content_sorter['calendar_button'] : "";
if (!empty($calender_button)) {
?>
    <div class="edp_sidebar_box edp_calendar_button">
        <div class="edp_addto_calendar">
            <div class="add_to_calendar">Add To Calendar</div>
            <ul id="calendar_list">
                <?php
                $start_date = tribe_get_start_date($event_id, false, 'Y-m-d\Tg:i');
                $end_date = tribe_get_end_date($event_id, false, 'Y-m-d\Tg:i');
                $location = tribe_get_venue($event_id);
                $title = get_the_title($event_id);
                $content = get_the_content();
                $content = wp_filter_nohtml_kses( $content );
                $content = EDP_Functions::trim_first_100_words($content);
                $calender_link = "addevent&startdt={$start_date}&enddt={$end_date}&location={$location}&subject={$title}&body={$content}";
                foreach ($calender_button as $calender_key => $calender_value) {
                    switch ($calender_value) {
                        case 'google_calendar':
                            echo '<li><a target="_blank" href="' . esc_url(\Tribe__Events__Main::instance()->esc_gcal_url(tribe_get_gcal_link())) . '" title="' . esc_attr__('Add to Google Calendar', 'event-detailer-pro') . '">+ ' . esc_html__('Google Calendar', 'event-detailer-pro') . '</a></li>';
                            break;
                        case 'icalendar':
                            echo '<li><a target="_blank" href="webcal://' . esc_url(tribe_get_ical_link()) . '" title="' . esc_attr__('Add to iCalendar ', 'event-detailer-pro') . '" >+ ' . esc_html__('iCalendar', 'event-detailer-pro') . '</a></li>';
                            break;
                        case 'outlook_live':
                            echo '<li><a target="_blank" href="https://outlook.live.com/owa/?path=/calendar/action/compose&rrv=' . esc_html($calender_link) . '" title="' . esc_attr__('Add to Outlook 365', 'event-detailer-pro') . '" >+ ' . esc_html__('Outlook Live', 'event-detailer-pro') . '</a></li>';
                            break;
                    }
                }
                ?>
            </ul>
        </div>
    </div>
<?php
}
