<?php

/**
 * Item Countdown
 *
 * This template can be overridden by copying it to yourtheme/event-detailer-pro/templates/item/countdown.php
 *
 * @package    Event_Detailer_Pro
 * @subpackage Event_Detailer_Pro/public
 */

// Get the event start date.
$start_date = tribe_get_start_date(get_the_ID(), false, 'Y/m/d H:i:s');
// Get the number of seconds remaining until the date in question.
$seconds = strtotime($start_date) - current_time('timestamp');
if ($seconds > 0) {
    wp_enqueue_style('edp-countdown');
    wp_enqueue_script('edp-countdown');
?>
    <?php ob_start(); ?>
    <div class="edp_sidebar_box edp_countdown">
        <div class="edp_countdowns">
            <div class="edp_countdown_item">
                <div class="item_title">DD</div>
                <div class="uppercase text-sm"><?php esc_html_e('days', 'event-detailer-pro'); ?></div>
            </div>
            <div class="edp_countdown_item">
                <div class="item_title">HH</div>
                <div class="uppercase text-sm"><?php esc_html_e('hours', 'event-detailer-pro'); ?></div>
            </div>
            <div class="edp_countdown_item">
                <div class="item_title">MM</div>
                <div class="uppercase text-sm"><?php esc_html_e('min', 'event-detailer-pro'); ?></div>
            </div>
            <div class="edp_countdown_item">
                <div class="item_title edp_countdown_last">SS</div>
                <div class="uppercase text-sm"><?php esc_html_e('sec', 'event-detailer-pro'); ?></div>
            </div>
        </div>
    </div>
    <?php
    $hourformat = ob_get_clean();
    ob_start();
    ?>
    <div class="edp-countdown-timer">
        <span class="edp-countdown-seconds"><?php echo wp_kses_post($seconds); ?></span>
        <span class="edp-countdown-format"><?php echo wp_kses_post($hourformat) ?></span>
    </div>
    <?php echo wp_kses_post(ob_get_clean()); ?>
    <?php
} else {
    $edp_notice =  EDP_Functions::edp_get_passed_event_notice();
    if ($edp_notice != '') { ?>
        <!-- Notice -->
        <div class="edp-past-event-notice">
            <?php tribe_the_notices() ?>
        </div>
<?php
    }
}
