<?php

/**
 * Social share
 *
 * This template can be overridden by copying it to yourtheme/event-detailer-pro-pro/templates/item/social-share.php
 *
 * @package    Event_Detailer_Pro
 * @subpackage Event_Detailer_Pro/public
 */

$event_slug       =  get_the_permalink($event_id);
$event_title      =  get_the_title($event_id);
$social_sharing_media = isset($post_content_sorter['social_sharing_media']) ? $post_content_sorter['social_sharing_media'] : [];
$social_icon_shape = isset($post_content_sorter['social_icon_shape']) ? $post_content_sorter['social_icon_shape'] : "";
if (!empty($social_sharing_media)) {
?>
    <div class="edp_sidebar_box edp_social_share">
        <div class="edp_item_social_share">
            <?php
            do_action('edp_add_first_socials');
            foreach ($social_sharing_media as $style_key => $style_value) {
                switch ($style_value) {
                    case 'facebook':
            ?>
                        <a title="<?php echo esc_attr('Facebook', 'event-detailer-pro') ?>" href="https://www.facebook.com/sharer/sharer.php?u=<?php echo esc_url($event_slug); ?>" class="edp-social-icon edp-facebook <?php echo esc_attr($social_icon_shape); ?>" onClick="window.open('https://www.facebook.com/sharer.php?u=<?php echo esc_url($event_slug); ?>','Facebook','width=450,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-150)+''); return false;"><i class="fab fa-facebook-f"></i></a>
                    <?php
                        break;
                    case 'twitter':
                    ?>
                        <a title="<?php echo esc_attr('Twitter', 'event-detailer-pro') ?>" onClick="window.open('https://twitter.com/share?url=<?php echo esc_url($event_slug); ?>&amp;text=<?php echo esc_html($event_title); ?>','Twitter share','width=450,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-150)+''); return false;" href="https://twitter.com/share?url=<?php echo esc_url($event_slug); ?>&amp;text=<?php echo esc_html($event_title); ?>" class="edp-social-icon edp-twitter <?php echo esc_attr($social_icon_shape); ?>"> <i class="fab fa-twitter"></i></a>
                    <?php
                        break;
                    case 'linkedIn':
                    ?>
                        <a href="https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo esc_url($event_slug); ?>" title="<?php echo esc_attr('linkedIn', 'event-detailer-pro') ?>" class="edp-social-icon edp-linkedin <?php echo esc_attr($social_icon_shape); ?>" onClick="window.open('https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo esc_url($event_slug); ?>','Linkedin','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" href="https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo esc_url($event_slug); ?>"> <i class="fab fa-linkedin-in"></i></a>
                    <?php
                        break;
                    case 'pinterest':
                    ?>
                        <a href='javascript:void((function()%7Bvar%20e=document.createElement(&apos;script&apos;);e.setAttribute(&apos;type&apos;,&apos;text/javascript&apos;);e.setAttribute(&apos;charset&apos;,&apos;UTF-8&apos;);e.setAttribute(&apos;src&apos;,&apos;https://assets.pinterest.com/js/pinmarklet.js?r=&apos;+Math.random()*99999999);document.body.appendChild(e)%7D)());' class="edp-social-icon edp-pinterest <?php echo esc_attr($social_icon_shape); ?>" title="<?php echo esc_attr('Pinterest', 'event-detailer-pro') ?>"> <i class="fab fa-pinterest"></i></a>
                    <?php
                        break;
                    case 'email':
                    ?>
                        <a href="mailto:?Subject=<?php echo esc_html($event_title); ?>&amp;Body=<?php echo esc_url($event_slug); ?>" title="<?php echo esc_attr('Email', 'event-detailer-pro') ?>" class="edp-social-icon edp-envelope <?php echo esc_attr($social_icon_shape); ?>"> <i class="far fa-envelope"></i></a>
                    <?php
                        break;
                    case 'instagram':
                    ?>
                        <a title="<?php echo esc_attr('Instagram', 'event-detailer-pro') ?>" onClick="window.open('https://instagram.com/?url=<?php echo esc_url($event_slug); ?>&amp;text=<?php echo esc_html($event_title); ?>','Twitter share','width=450,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-150)+''); return false;" href="https://instagram.com/?url=<?php echo esc_url($event_slug); ?>&amp;text=<?php echo esc_html($event_title); ?>" class="edp-social-icon edp-instagram <?php echo esc_attr($social_icon_shape); ?>"> <i class="fab fa-instagram" aria-hidden="true"></i></a>
                    <?php
                        break;
                    case 'whatsapp':
                    ?>
                        <a href="https://api.whatsapp.com/send?text=<?php echo esc_html($event_title); ?>%20<?php echo esc_url($event_slug); ?>" onClick="window.open('https://api.whatsapp.com/send?text=<?php echo esc_html($event_title); ?>%20<?php echo esc_url($event_slug); ?>','whatsapp','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" title="<?php echo esc_attr('WhatsApp', 'event-detailer-pro') ?>" class="edp-social-icon edp-whatsapp <?php echo esc_attr($social_icon_shape); ?>"> <i class="fab fa-whatsapp"></i></a>
                    <?php
                        break;
                    case 'reddit':
                    ?>
                        <a href="https://reddit.com/submit?url=<?php echo esc_url($event_slug); ?>&amp;title=<?php echo esc_html($event_title); ?>" onClick="window.open('https://reddit.com/submit?url=<?php echo esc_url($event_slug); ?>&amp;title=<?php echo esc_html($event_title); ?>','reddit','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" title="<?php echo esc_attr('Reddit', 'event-detailer-pro') ?>" class="edp-social-icon edp-reddit <?php echo esc_attr($social_icon_shape); ?>"> <i class="fab fa-reddit"></i></a>
                    <?php
                        break;
                    case 'tumblr':
                    ?>
                        <a href="https://www.tumblr.com/widgets/share/tool?canonicalUrl=<?php echo esc_url($event_slug); ?>&amp;title=<?php echo esc_html($event_title); ?>" title="<?php echo esc_attr('tumblr', 'event-detailer-pro') ?>" onClick="window.open('https://www.tumblr.com/widgets/share/tool?canonicalUrl=<?php echo esc_url($event_slug); ?>&amp;title=<?php echo esc_html($event_title); ?>','tumblr','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" class="edp-social-icon edp-tumblr <?php echo esc_attr($social_icon_shape); ?>"><i class="fab fa-tumblr"></i></a>
                    <?php
                        break;
                    case 'digg':
                    ?>
                        <a href="https://digg.com/submit?url=<?php echo esc_url($event_slug); ?>%&amp;title=<?php echo esc_html($event_title); ?>" onClick="window.open('https://digg.com/submit?url=<?php echo esc_url($event_slug); ?>%&amp;title=<?php echo esc_html($event_title); ?>','Digg','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" title="<?php echo esc_html('digg', 'event-detailer-pro') ?>" class="edp-social-icon edp-digg <?php echo esc_attr($social_icon_shape); ?>"><i class="fab fa-digg"></i></a>
                    <?php
                        break;
                    case 'vk':
                    ?>
                        <a href="https://vk.com/share.php?url=<?php echo esc_url($event_slug); ?>&amp;title=<?php echo esc_html($event_title); ?>&amp;comment=" title="<?php echo esc_attr('VK', 'event-detailer-pro') ?>" onClick="window.open('https://vk.com/share.php','VK','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" class="edp-social-icon edp-vk <?php echo esc_attr($social_icon_shape); ?>"> <i class="fab fa-vk"></i></a>
                    <?php
                        break;
                    case 'xing':
                    ?>
                        <a href="https://www.xing.com/spi/shares/new?url=<?php echo esc_url($event_slug); ?>" onClick="window.open('https://www.xing.com/spi/shares/new?url=<?php echo esc_url($event_slug); ?>','xing','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" title="<?php echo esc_attr('Xing', 'event-detailer-pro') ?>" class="edp-social-icon edp-xing <?php echo esc_attr($social_icon_shape); ?>"><i class="fab fa-xing"></i></a>
                    <?php
                        break;
                    case 'pocket':
                    ?>
                        <a href="https://getpocket.com/edit?url=<?php echo esc_url($event_slug); ?>" onClick="window.open('https://getpocket.com/edit?url=<?php echo esc_url($event_slug); ?>','ocket','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" title="<?php echo esc_attr('Pocket', 'event-detailer-pro') ?>" class="edp-social-icon edp-pocket <?php echo esc_attr($social_icon_shape); ?>"> <i class="fab fa-get-pocket"></i></a>
            <?php
                        break;
                }
            }
            do_action('edp_add_last_socials');
            ?>
        </div>
    </div>
<?php }
