<?php

/**
 * Item thumbnail
 *
 * This template can be overridden by copying it to yourtheme/event-detailer-pro/templates/item/thumbnail.php
 *
 * @package    Event_Detailer_Pro
 * @subpackage Event_Detailer_Pro/public
 */

?>

<div class="edp_thumbnail">
	<?php echo wp_kses_post(tribe_event_featured_image($event_id, 'full', false)); ?>
<div class="edp_thumbnail_content">
	<?php
	$_meta_settings         = $post_content_sorter;
	$post_thumb_meta = isset($_meta_settings['post_thumb_meta']) ? $_meta_settings['post_thumb_meta'] : '';
	$edp_thumb_meta_group   = EDP_Functions::edp_metabox_value('edp_thumb_meta_group', $_meta_settings);

	if ($post_thumb_meta) {
		$edp_post_title = get_the_title($event_id);
		foreach ($edp_thumb_meta_group as $edp_each_meta) {
			$select_thumb_meta = isset($edp_each_meta['select_thumb_meta']) ? $edp_each_meta['select_thumb_meta'] : '';
			switch ($select_thumb_meta) {
				case 'title':
					$edp_title_tag = $edp_each_meta['edp_thumb_title_tag'];
					$edp_title_length = isset($edp_each_meta['edp_title_length']) ? $edp_each_meta['edp_title_length'] : '';
					$edp_thumb_title_color = isset($edp_each_meta['edp_thumb_title_color']) ? $edp_each_meta['edp_thumb_title_color'] : '';
					if ($edp_title_length) {
						$edp_post_title    = EDP_Functions::limit_post_title($edp_post_title, $edp_title_length);
					}

					ob_start();
					include EDP_Functions::edp_locate_template('items/title.php');
					$title = apply_filters('edp_item_title', ob_get_clean());
					echo wp_kses_post($title);
					break;
				case 'date':
					$event_date_style 	= isset($edp_each_meta['edp_thumb_date_type']) ? $edp_each_meta['edp_thumb_date_type'] : '';
					$meta_date_format 	= isset($edp_each_meta['edp_thumb_fildes_date_format']) ? $edp_each_meta['edp_thumb_fildes_date_format'] : '';
					$custom_date_format = isset($edp_each_meta['edp_thumb_custom_meta_date_format']) ? $edp_each_meta['edp_thumb_custom_meta_date_format'] : '';
					ob_start();
					include EDP_Functions::edp_locate_template('items/date.php');
					$date = apply_filters('edp_item_date', ob_get_clean());
					echo wp_kses_post($date);
					break;
				case 'countdown':
					ob_start();
					include EDP_Functions::edp_locate_template('items/countdown.php');
					$countdown = apply_filters('edp_item_countdown', ob_get_clean());
					echo wp_kses_post($countdown);
					break;
			}
		}
	}
	?>
</div>
</div>